package com.pcloud.book.custom.mapper;


import com.pcloud.book.custom.entity.CustomPlanModule;
import com.pcloud.book.custom.vo.CustomPlanModuleVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component("customPlanModuleMapper")
public interface CustomPlanModuleMapper {

    void deleteByPlanId(@Param("planId") Integer planId);

    void insert(CustomPlanModule planModule);

    List<CustomPlanModuleVO> getCustomPlanModuleByPlanId(@Param("planId") Integer planId, @Param("parentId") Integer parentId);
}